%define name rpmdrake
%define version 1.1
%define release 15mdk

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.menu.bz2
Summary: A graphical front end for installing packages
Requires: urpmi >= 1.3, gurpmi drakxtools perl-GTK
BuildRoot: %{_tmppath}/%{name}-buildroot
Group: System/Configuration/Packaging

%description
rpmdrake is an apt-alike tool. It also handles packages on more than one cdrom,
asking you the needed one.

It is a graphical front-end to urpmi/gurpmi.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%make

%install
make prefix=$RPM_BUILD_ROOT install

# the pam things
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -sf /usr/bin/consolehelper ${RPM_BUILD_ROOT}%{_bindir}/rpmdrake
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
cp pam.rpmdrake-auth $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/rpmdrake
cp apps.rpmdrake-auth  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/rpmdrake

%{find_lang} %{name}

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_menudir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_prefix}/sbin/%{name}
%{_menudir}/*
%config(noreplace) %{_sysconfdir}/pam.d/rpmdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/rpmdrake

%changelog
* Fri Oct 20 2000 DindinX <odin@mandrakesoft.com> 1.1-15mdk
- bugfixes

* Wed Oct 18 2000 DindinX <odin@mandrakesoft.com> 1.1-14mdk
- Fix 865 (show a dialog box and don't close rpmdrake)
- Fix italian po file (reported by Camille)
- Small sanity checks
- Fix 676
	
* Tue Oct 10 2000 DindinX <odin@mandrakesoft.com> 1.1-13mdk
- fix the relaunch button (was messed up because of PAM (fix 772)

* Thu Oct 05 2000 DindinX <odin@mandrakesoft.com> 1.1-12mdk
- use pam instead of kdesu (Thx to Renaud)

* Wed Oct 04 2000 DindinX <odin@mandrakesoft.com> 1.1-11mdk
- new icons from LN

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 1.1-10mdk
- fix the number of selected package after and unsuccessful
  (un)install. (fix 506)
- updated po

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 1.1-9mdk
- fix dependency checking during uninstall (thx to Jacques for reporting this)
- updated po

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 1.1-8mdk
- Add some more sanity checks to verify if a package has been
  correctly (un)installed.
- updated po.
    
* Tue Sep 26 2000 DindinX <odin@mandrakesoft.com> 1.1-7mdk
- Build a dependency list when removing packages and prompt the user to
  confirm before removing all these packages
- Finally find a way to quickly build the file list for every package.
- We can now see the file list or the package description by using the
  notebook tabs
- Change the layout a little
- Add a toggle to search in the file list
- Add a check: if gurpmi goes wrong, restart rpmdrake

* Wed Sep 20 2000 DindinX <odin@mandrakesoft.com> 1.1-6mdk
- Added an entry menu to relaunch rpmdrake (i.e. updates packages lists)
- updated po

* Fri Sep  8 2000 DindinX <odin@mandrakesoft.com> 1.1-5mdk
- Grey out the install/uninstall button when no packages are selected
- Add a copyright notice in the about box
- Enlarge the height of the package list
- Use a toolbar style for icons

* Fri Sep  1 2000 DindinX <odin@mandrakesoft.com> 1.1-4mdk
- Double-clicks (un)selects (check) packages
- The number/size of selected packages is now properly reset after
  their (un)installation.
- Added a call of kdesu
- Use of packdrake so that .cz files are handled correctly
            
* Thu Aug 31 2000 DindinX <odin@mandrakesoft.com> 1.1-3mdk
- Still on the way to improve the UI.
- Included some ideas from FB.

* Mon Aug 28 2000 DindinX <odin@mandrakesoft.com> 1.1-2mdk
- New release with an improved UI (many ideas from thursday meeting)
  please test and report

* Tue Aug 22 2000 DindinX <odin@mandrakesoft.com> 1.1-1mdk
- Brand new version (please test)

* Wed Aug  9 2000 Pixel <pixel@mandrakesoft.com> 1.0-5mdk
- remove icons (there are in mandrake_desk)

* Tue Aug  8 2000 Pixel <pixel@mandrakesoft.com> 1.0-4mdk
- macroization
- fix the ftp addmedia, fix the cdrom addmedia

* Fri May  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-3mdk
- fix hdlist.cz2 instead of hdlist by default

* Fri May  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-2mdk
- add menu entry

* Wed Apr  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- new version. compliant with/needs new urpmi

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.9-8mdk
- new group

* Mon Jan 10 2000 Pixel <pixel@mandrakesoft.com>
- fix an ugly bug in search package in flat display

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- fixed some bugs (+ cleanup)
- now list all installed progs in `Installed packages'

* Tue Dec 21 1999 Pixel <pixel@mandrakesoft.com>
- call kdesu if user is not in group urpmi

* Mon Dec 20 1999 Pixel <pixel@mandrakesoft.com>
- bug fix

* Sun Dec 19 1999 Pixel <pixel@mandrakesoft.com>
- new version (much better)

* Sat Dec 18 1999 Pixel <pixel@mandrakesoft.com>
- new version (lifting)

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>
- new version

* Mon Nov 22 1999 Pixel <pixel@mandrakesoft.com>
- bug fix

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- new version

* Fri Nov 19 1999 Pixel <pixel@mandrakesoft.com>
- first version

